pipeline {
    agent { label 'docker' }
    options {
        timeout(time: 15, unit: 'MINUTES')
        buildDiscarder(logRotator(numToKeepStr: '5'))
        disableConcurrentBuilds()
        gitLabConnection('DS')
    }
    environment {
        TAG = sh(returnStdout: true, script: "git tag --points-at \$(git rev-parse HEAD)").trim()
        LATEST_TAG = sh(returnStdout: true, script: "git describe --always --tags `git rev-list --tags --max-count=1`").trim()
    }

    stages {
        stage('Tests') {
            steps {
                script {
                    def tag = []
                    if (!env.TAG) {
                        sh "echo ${env.BRANCH_NAME}"
                        sh "sleep 10"
                    }
                    else {
                        tag.addAll((env.TAG).split())
                    }
                    tag.each {
                        sh "echo ${it}"
                        if (it == LATEST_TAG) {
                            sh "echo latest"
                        }
                    }
                }
            }
        }
    }
    /* post {
        failure {
            updateGitlabCommitStatus name: 'build', state: 'failed'
        }
        success {
            updateGitlabCommitStatus name: 'build', state: 'success'
        }
    } */
}